<?php

function frontend_content_markup() {

$settings = get_option( 'news_article_settings' );

if (!$settings) {
  return;
}

$mytitleone = $settings['article_one'];
$mytitletwo = $settings['article_two'];
$mytitlethree = $settings['article_three'];

$mypostone = get_page_by_title($mytitleone, OBJECT, 'post');
$myposttwo = get_page_by_title($mytitletwo, OBJECT, 'post');
$mypostthree = get_page_by_title($mytitlethree, OBJECT, 'post');

?>


<div class='article-container'>

    <div id='news-col-1'>
      <div class='article-title'>
        <?php _e($mypostone->post_title); ?>
      </div>

      <div class='article-excerpt'>
        <?php if ($mypostone->post_content) : ?>
          <?php _e( substr($mypostone->post_content, 0, 300) . "..." ); ?>
        <?php endif; ?>
      </div>

      <?php if ($mypostone->post_content) : ?>
        <?php echo "<a href=" . get_the_permalink($mypostone) . " style='text-decoration: none;'><div class='article-link'>Learn More</div></a>"; ?>
      <?php endif; ?>

    </div>


    <div id='news-col-2'>
      <div class='article-title'>
        <?php _e($myposttwo->post_title); ?>
      </div>

      <div class='article-excerpt'>
        <?php if ($myposttwo->post_content) : ?>
          <?php _e( substr($myposttwo->post_content, 0, 300) . "..." ); ?>
        <?php endif; ?>
      </div>

      <?php if ($myposttwo->post_content) : ?>
        <?php echo "<a href=" . get_the_permalink($myposttwo) . " style='text-decoration: none;'><div class='article-link'>Learn More</div></a>"; ?>
      <?php endif; ?>

    </div>


    <div id='news-col-3'>
      <div class='article-title'>
        <?php _e($mypostthree->post_title); ?>
      </div>

      <div class='article-excerpt'>
        <?php if ($mypostthree->post_content) : ?>
          <?php _e( substr($mypostthree->post_content, 0, 300) . "..." ); ?>
        <?php endif; ?>
      </div>

      <?php if ($mypostthree->post_content) : ?>
        <?php echo "<a href=" . get_the_permalink($mypostthree) . " style='text-decoration: none;'><div class='article-link'>Learn More</div></a>"; ?>
      <?php endif; ?>

    </div>

  </div>




<?php
}
